Retrieve an end-user
curl --request GET \
--url https://api.sleekplan.com/v1/user/{userid} \
--header 'Authorization: Bearer <token>'{
"status": "<string>",
"data": {
"user_id": 123,
"data_id": "<string>",
"admin_id": 123,
"anonymous": true,
"data_name": "<string>",
"data_full_name": "<string>",
"data_mail": "<string>",
"data_img": "<string>",
"segments": [
"<string>"
],
"data": {},
"data_system": {
"ip": "<string>",
"lat": "<string>",
"lng": "<string>",
"city": "<string>",
"browser": "<string>",
"country": "<string>",
"platform": "<string>",
"timezone": "<string>",
"continent": "<string>",
"user_agent": "<string>",
"currency_code": "<string>",
"browser_version": "<string>",
"currency_symbol": "<string>"
},
"stats_feedback": 123,
"stats_votes": 123,
"stats_comments": 123,
"stats_satisfaction": 123,
"stats_promoter": 123,
"notify": 123,
"notify_settings": {
"mention": true,
"changelog": true,
"subscribed": true
},
"weight": 123,
"created": "<string>",
"updated": "<string>"
}
}User
Retrieve an end-user
GET
/
user
/
{userid}
Retrieve an end-user
curl --request GET \
--url https://api.sleekplan.com/v1/user/{userid} \
--header 'Authorization: Bearer <token>'{
"status": "<string>",
"data": {
"user_id": 123,
"data_id": "<string>",
"admin_id": 123,
"anonymous": true,
"data_name": "<string>",
"data_full_name": "<string>",
"data_mail": "<string>",
"data_img": "<string>",
"segments": [
"<string>"
],
"data": {},
"data_system": {
"ip": "<string>",
"lat": "<string>",
"lng": "<string>",
"city": "<string>",
"browser": "<string>",
"country": "<string>",
"platform": "<string>",
"timezone": "<string>",
"continent": "<string>",
"user_agent": "<string>",
"currency_code": "<string>",
"browser_version": "<string>",
"currency_symbol": "<string>"
},
"stats_feedback": 123,
"stats_votes": 123,
"stats_comments": 123,
"stats_satisfaction": 123,
"stats_promoter": 123,
"notify": 123,
"notify_settings": {
"mention": true,
"changelog": true,
"subscribed": true
},
"weight": 123,
"created": "<string>",
"updated": "<string>"
}
}Was this page helpful?
⌘I
